Subject: cygwin and the GIMP
From: [email-masked] (Alexander Stockdale)

30 Mar 1998 10:34:40 -0800
Message-ID: <[email-masked]>

I have been making good progress getting the GIMP working under cygwin
but I'm having some problems related to child processes.  GIMP plug-ins run as
a forked process, through the use of execvp().  The GIMP waits on the
completion of the child process, but for some reason it is not detecting the
termination of the child process.  This does not seem to be a problem when
running within gdb.  Any thoughts, or information on execvp() would be helpful.

Also, anyone have any idea how to gdb a child process?  I just get messages about not
being able to read core files.  I've tried attaching several different ways.  It would be
nice if the executables could be compiled so that gdb would be invoked on startup.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".